stages:
  - build
  - deploy
build job:
  stage: build
  script:
    - export PYTHONPATH=.
    - export FLASK_APP=web
    - apt-get update -qy
    - apt-get install -y python3-dev python3-pip
    - pip3 install Flask gunicorn pytest pytest-cov
    - pytest tests --cov --cov-report term --cov-report html
deploy job:
  stage: deploy
  script:
    - apt-get update -qy
    - apt-get install curl -y
    - curl huseinhouse.com:9060/reload?password=husein123